/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-05-14
 * 描述            ：订单物料检验标准
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Pms.Order.vo;
import java.io.Serializable;
import java.util.Date;

import market.Pms.Order.mapper.PurOrderCStdMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PUR_ORDER_C_STD", namespace=PurOrderCStdMapper.class)
public class PurOrderCStd extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 4342550327529756157L;

	/** 
	 * 标准索引号MIC+7位流水
	 */ 
	@Id
	private String mic;
	public String getMic() {
		return this.mic;
	}
	public void setMic(String mic) {
		this.mic = mic;
	}

	/** 
	 * 标准规范描述用: 物料+牌号+产品标准+技术标准+组别+级别 + 验证方式
	 */ 
	@Column
	private String mic_desc;
	public String getMic_desc() {
		return this.mic_desc;
	}
	public void setMic_desc(String mic_desc) {
		this.mic_desc = mic_desc;
	}

	/** 
	 * 订单号
	 */ 
	@Column
	private String order_no;
	public String getOrder_no() {
		return this.order_no;
	}
	public void setOrder_no(String order_no) {
		this.order_no = order_no;
	}

	/** 
	 * 物料编码
	 */ 
	@Column
	private String item_code;
	public String getItem_code() {
		return this.item_code;
	}
	public void setItem_code(String item_code) {
		this.item_code = item_code;
	}

	/** 
	 * 物料名称
	 */ 
	@Column
	private String item_name;
	public String getItem_name() {
		return this.item_name;
	}
	public void setItem_name(String item_name) {
		this.item_name = item_name;
	}

	/** 
	 * 标准编号(采购物料)
	 */ 
	@Column
	private String standards_code;
	public String getStandards_code() {
		return this.standards_code;
	}
	public void setStandards_code(String standards_code) {
		this.standards_code = standards_code;
	}

	/** 
	 * 标准号(采购物料)
	 */ 
	@Column
	private String standards_name;
	public String getStandards_name() {
		return this.standards_name;
	}
	public void setStandards_name(String standards_name) {
		this.standards_name = standards_name;
	}

	/** 
	 * 规格
	 */ 
	@Column
	private String spec_name;
	public String getSpec_name() {
		return this.spec_name;
	}
	public void setSpec_name(String spec_name) {
		this.spec_name = spec_name;
	}

	/** 
	 * 属性代码
	 */ 
	@Column
	private String steel_code;
	public String getSteel_code() {
		return steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	/** 
	 * 属性名称
	 */ 
	@Column
	private String steel_name;
		
	public String getSteel_name() {
		return steel_name;
	}
	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}

	/** 
	 * 验证名称
	 */ 
	@Column
	private String judge_type_name;
	public String getJudge_type_name() {
		return this.judge_type_name;
	}
	public void setJudge_type_name(String judge_type_name) {
		this.judge_type_name = judge_type_name;
	}

	/** 
	 * 验证方式(6017)
	 */ 
	@Column
	private String judge_type_code;
	public String getJudge_type_code() {
		return this.judge_type_code;
	}
	public void setJudge_type_code(String judge_type_code) {
		this.judge_type_code = judge_type_code;
	}

	/** 
	 * 检验分类代码(6018)
	 */ 
	@Column
	private String test_level_code;
	public String getTest_level_code() {
		return this.test_level_code;
	}
	public void setTest_level_code(String test_level_code) {
		this.test_level_code = test_level_code;
	}

	/** 
	 * 检验分类名称
	 */ 
	@Column
	private String test_level_name;
	public String getTest_level_name() {
		return this.test_level_name;
	}
	public void setTest_level_name(String test_level_name) {
		this.test_level_name = test_level_name;
	}

	/** 
	 * 质量等级代码(6019)
	 */ 
	@Column
	private String qcm_level_code;
	public String getQcm_level_code() {
		return this.qcm_level_code;
	}
	public void setQcm_level_code(String qcm_level_code) {
		this.qcm_level_code = qcm_level_code;
	}

	/** 
	 * 质量等级名称
	 */ 
	@Column
	private String qcm_level_name;
	public String getQcm_level_name() {
		return this.qcm_level_name;
	}
	public void setQcm_level_name(String qcm_level_name) {
		this.qcm_level_name = qcm_level_name;
	}

	/** 
	 * 数据状态（1有效、0无效）
	 */ 
	@Column
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String remark;
	public String getRemark() {
		return this.remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 删除人
	 */ 
	@Column
	private String delete_name;
	public String getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 删除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}
	@Column
	private String attr_name;
	
	@Column
	private String attr_code;
	public String getAttr_name() {
		return attr_name;
	}
	public void setAttr_name(String attr_name) {
		this.attr_name = attr_name;
	}
	public String getAttr_code() {
		return attr_code;
	}
	public void setAttr_code(String attr_code) {
		this.attr_code = attr_code;
	}
	
}
